## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# tests are enabled by default
%bcond_without tests

%global         srcname     google-cloud-private-ca
%global         forgeurl    https://github.com/googleapis/python-security-private-ca
Version:        1.2.1
%global         tag         v%{version}
%forgemeta

Name:           python-%{srcname}
Release:        %autorelease
Summary:        Python Client for Google Cloud Certificate Authority Service

License:        ASL 2.0
URL:            %forgeurl
Source0:        %forgesource
Patch0:         python-google-cloud-private-ca-mock.patch

BuildArch:      noarch

BuildRequires:  python3-devel

%if %{with tests}
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-asyncio)
%endif

%global _description %{expand:
Python Client for Google Cloud Certificate Authority Service}

%description %{_description}


%package -n python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname} %{_description}


%prep
%forgeautosetup -p1


%generate_buildrequires
%pyproject_buildrequires -r


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files google

# Remove unneeded directories and files from the final package.
rm -f %{buildroot}%{_bindir}/fixup_privateca_v1beta1_keywords.py
rm -rf %{buildroot}%{python3_sitelib}/{docs,samples,scripts,tests}


%if %{with tests}
%check
# Work around an unusual pytest/PEP 420 issue where pytest can't import the
# installed module. Thanks to mhroncok for the help!
mv google{,_}
%pytest --disable-warnings tests/unit
mv google{_,}
%endif


%files -n python3-%{srcname} -f %{pyproject_files}
%license LICENSE
%doc README.rst CHANGELOG.md samples
%{python3_sitelib}/google_cloud_private_ca-%{version}-py%{python3_version}-nspkg.pth



%changelog
* jeu. nov. 04 2021 Major Hayden <major@mhtx.net> 1.2.1-1
- Update to 1.2.1

* lun. oct. 25 2021 Major Hayden <major@mhtx.net> 1.2.0-2
- Remove samples from python3 sitelib

* lun. oct. 25 2021 Major Hayden <major@mhtx.net> 1.2.0-1
- Update to 1.2.0

* mer. oct. 13 2021 Major Hayden <major@mhtx.net> 1.1.0-1
- Update to 1.1.0

* mar. oct. 05 2021 Major Hayden <major@mhtx.net> 1.0.6-1
- Initial import (#2010407)
